%define version 2.77.15.17
%define name mdkonline
%define subrel 2
%define release %mkrel 1

Summary:	Mandriva Online Update Tool  
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.lzma
URL:		http://www.mandrivaonline.com
License:	GPL
Group:		System/Configuration/Other
# for LWP::UserAgent:
Requires:	perl-libwww-perl
%if %mdkversion >= 201000
Requires:   drakxtools-newt => 12.48
Requires: rpmdrake >= 5.11.1
%endif
%if %mdkversion == 200910
Requires:  	drakxtools-newt => 11.88
# for gurpmi.addmedia & update API:
Requires: rpmdrake >= 5.11.1
%endif
%if %mdkversion < 200910
Requires: drakxtools-newt >= 10.4.114
# for gurpmi.addmedia
%if %mdkversion > 200800
Requires: rpmdrake > 4.0
%else
Requires: rpmdrake >= 3.117.8
%endif
%endif
# For adding restricted media:
Requires: perl-Crypt-SSLeay
# for good gurpmi:
%if %mdkversion >= 200910
Requires: urpmi >= 6.17
Requires: gurpmi >= 6.17
%endif
%if %mdkversion == 200900
Requires: urpmi >= 6.14.9
Requires: gurpmi >= 6.14.9
%endif
%if %mdkversion == 200810
Requires: urpmi >= 5.19.9
Requires: gurpmi >= 5.19.9
%endif
%if %mdkversion < 200810
Requires: urpmi >= 4.10.14
Requires: gurpmi >= 4.10.14
%endif
%if %mdkversion > 200800
Requires:   libdrakx-net >= 0.29
%else
Requires:   libdrakx-net >= 0.26
%endif
Provides:   %{name}-backend
Obsoletes:  %{name}-backend
BuildRequires: 	gettext, perl-MDK-Common-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch: 	noarch

%description
The Mandriva Online tool allows users to be kept informed about security
updates, hardware support/enhancements and other high value services.
The package include :
* Update daemon which allows you to install security updates 
  automatically,
* A KDE/Gnome/IceWM compliant applet for security updates notification
  and installation. 

%prep
%setup -q

%build
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%version-%release'"';!' mdkapplet

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

#symbolic link to drakonline and older path
mkdir -p %buildroot%_prefix/X11R6/bin/

mkdir -p %buildroot%_sysconfdir/cron.daily/
touch %buildroot%_sysconfdir/cron.daily/mdkupdate

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d
cat > $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/mdkapplet <<EOF
#!/bin/sh
DESKTOP=\$1
case \$DESKTOP in
   IceWM|Fluxbox|xfce4|LXDE) exec /usr/bin/mdkapplet;;
esac
EOF

chmod +x $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/mdkapplet

#install lang
%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart
cat > $RPM_BUILD_ROOT%{_datadir}/autostart/mandriva-mdvonline.desktop <<EOF
[Desktop Entry]
Name=Mandriva Online Applet
Comment=Applet for Mandriva Online
Exec=%{_bindir}/mdkapplet
Icon=mdkonline
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
X-KDE-autostart-after=kdesktop
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
cat > $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/mandriva-mdvonline.desktop <<EOF
[Desktop Entry]
Name=Mandriva Online Applet
Comment=Applet for Mandriva Online
Exec=%{_bindir}/mdkapplet
Icon=mdkonline
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
EOF

%post
%{update_desktop_database}
%{update_mime_database}

if [ -r /etc/cron.daily/mdkupdate ]; then
  perl -p -i -e 's!/usr/bin/mdkupdate!/usr/sbin/mdkupdate!' /etc/cron.daily/mdkupdate
fi

%postun
%{clean_desktop_database}
%{clean_mime_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING 
%{_sbindir}/mdkapplet-config
%{_sbindir}/mdkapplet-*-helper
%{_sbindir}/mdkupdate
%{_bindir}/*
%dir %{_prefix}/lib/libDrakX/drakfirsttime
%{_prefix}/lib/libDrakX/drakfirsttime/*.pm
%{_datadir}/autostart/mandriva-*.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%_datadir/mime/packages/*
%_datadir/mimelnk/application/
%_datadir/gnome/autostart/mandriva-mdvonline.desktop
%{_datadir}/%{name}/pixmaps/*.png
%_sysconfdir/X11/xinit.d/mdkapplet
%_sysconfdir/security/console.apps/urpmi.update
%_sysconfdir/pam.d/urpmi.update
%ghost %config(noreplace) %_sysconfdir/cron.daily/mdkupdate
%config(noreplace) %_sysconfdir/sysconfig/mdkapplet


##################################################################
#
#
# !!!!!!!! WARNING => THIS HAS TO BE EDITED IN THE CVS !!!!!!!!!!!
#
#
##################################################################
# get the source from our cvs repository (see
# http://www.mandrivalinux.com/en/cvs.php3)


%changelog
* Tue Feb 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.77.15.17-1.2mdv2008.0
- built for updates

* Mon Oct 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.23.1-1mdv2008.0
+ Revision: 94185
- fix bogus catalog
- mdkapplet:
  o fix a crash when /etc/mandriva-release isn't readable due to high msec
    level (#34323))
  o run with reduced I/O priority (#33888)
- own /etc/cron.daily/mdkupdate (#33454)

* Mon Sep 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.22-1mdv2008.0
+ Revision: 78518
- improve About dialog

* Wed Aug 29 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.21-1mdv2008.0
+ Revision: 74994
- mdkapplet: only look at update media now that MandrivaUpdate do this
  (#32978) (nice side effect: speed up the updates lookup)

* Sat Aug 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.20-1mdv2008.0
+ Revision: 61860
- mdkapplet: prevent running drakbug when already running (#32439)

* Tue Aug 07 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.19-1mdv2008.0
+ Revision: 59836
- mdkapplet:
  o introduce "delayed" state in order to make clear we wait for the
    initial check
  o make first check delay configurable through
    /etc/sysconfig/mdkapplet (#32338)
- fix mimelnk path (frederic crozat)

* Fri Aug 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.18-1mdv2008.0
+ Revision: 58571
- disable notifications (#18965)
- mdkapplet:
  o do not fire drakbug when already running applet
  o remove workaround for buggy GNOME now that it has been fixed
- fix startup with XFCE (#31835)

* Fri Jun 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17-1mdv2008.0
+ Revision: 37481
- hide password in logs (#30854)


* Fri Mar 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.16-1mdv2007.1
+ Revision: 148638
- mdkapplet:
  o prevent urpmi.update to run /usr/bin/resize through
    Term::ReadKey->GetTerminalSize() when xterm is installed (which
    freeze the desktop)
  o go into "ok" state on startup
  o schedule first check 25 seconds after startup instead of right now

* Thu Mar 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.15-2mdv2007.1
+ Revision: 147977
- bump release
- hide wizard menu entry for now
- kill bundle desktop entry

* Thu Mar 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.15-1mdv2007.1
+ Revision: 147904
- mdkapplet: hide "configure the service" menu entry

* Wed Mar 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.14-1mdv2007.1
+ Revision: 147821
- mdkapplet:
  o fork the updates checking in background, thus fixing:
    * frozed applet while computing updates
    * memory leak
  o remove the timers that make the applet constantly polling (#29788)o
  o warn more clearly when the urpmi database is locked
- mdkupdate: be safer (use urpmi --keep option)

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.13-1mdv2007.1
+ Revision: 147067
- mdkupdate:
  o consider all update media instead of only the old "update_source" one
  o enable to operate offline
  o get rid of non auto mode since it:
    * wasn't ported over new urpmi API and was thus broken
    * just reinvents what MandrivaUpdate does
    * is buggy since quite a long time (eg: #16202)
  o kill --applet option now that MandrivaUpdate is run directly by the applet
  o update the media btw

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.12-1mdv2007.1
+ Revision: 147003
- mdkapplet:
  o do not log translated messages
  o warn when there's no media at all or when all update media are
    disabled
  o when there's no media at all or when all update media are
    disabled, run source media manager on right click

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.11-1mdv2007.1
+ Revision: 146596
- display "busy" state while computing updates on startup

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.10-1mdv2007.1
+ Revision: 146540
- new release
- stop packaging big ChangeLog

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.9-2mdv2007.1
+ Revision: 145288
- bump release
- mdkapplet:
  o do not allow to run several instances of MandrivaUpdate
  o do not alter media while MandrivaUpdate is running
  o fix eating all CPU after running MandrivaUpdate
  o update status once MandrivaUpdate completed

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.8-2mdv2007.1
+ Revision: 145133
- bump release
- versionate drakxtools require for children reaping

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.8-1mdv2007.1
+ Revision: 144840
- mdkapplet:
  o if not registered, operate offline w/o complaining
  o on left click on applet, run MandrivaUpdate if there're updates
  o skip computing updates if urpm db is not lockable
  o store update frequency in /etc/sysconfig/mdkapplet (default is 3h)
  o wait for MandrivaUpdate to complete before recomputing updates &
    restarting the applet if needed

* Mon Mar 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.7-1mdv2007.1
+ Revision: 141819
- mdkapplet:
  o fix detecting running applet
  o run MandrivaUpdate directly instead of mdvupdate wrapper

* Fri Mar 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.6-1mdv2007.1
+ Revision: 139548
- do not use deprecated Xorg paths in desktop entries (#28466)
- typo fix in czech translation (#27755)

* Fri Mar 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.5-1mdv2007.1
+ Revision: 138844
- mdkonline wizard:
  o better formated messages
  o do not override --country option
  o fix country issue with UTF-8 when registering an host (#27448)
  o relax constraints on email adresses (#26495)
  o send 2 letters ISO code to the server expect instead of country's
    full name
  o sent the country choosen by the user instead of the default locale one
- mdkapplet:
  o cleanups
  o enable to work w/o the server
  o prevent checking 4 times if there're updates before actually
    running MandrivaUpdate
  o use new API to check if updates are availlable (#26307), compute
    updates localy
- mdkupdate:
  o do not check again if updates really are availlables when run from
    the applet
  o log running MandrivaUpdate

  + Frederic Crozat <fcrozat@mandriva.com>
    -Use GNOME autostart infrastructure
    -use more macros in specfile
    - Import mdkonline

* Thu Sep 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.4-1mdv2007.0
- mdkonline:
  o better looking error dialogs
  o if authentication failed with "No host for this id", just
    transparently register the host again (eg: when host was deleted
    through the web interface)
  o use mdkonline icon in window title & in banner
- mdkupdate: fix MandrivaUpdate crash

* Tue Sep 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3-1mdv2007.0
- mdkonline: accept dots in machine names
- mdkapplet: fix closing about dialog when "close" button is clicked (#25867)

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1mdv2007.0
- fix overwriting first XDG menu entry
- mdkapplet:
  o fix autostart in KDE (#25099)
  o start it under Fluxbox & XFce4 too

* Fri Sep 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1-1mdv2007.0
- XDG menu
- translation snapshot

* Fri Apr 14 2006 Warly <warly@mandrakesoft.com> 2.0-15mdk
- Include server error message when requiring the bundle

* Wed Apr 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-14mdk
- applet: do not flood logs when config file is not there
- mdkupdate:
  o ensure we only display one window while installing a bundle
  o fortify error checking
  o remove the wait message prior to displaying an error message

* Tue Apr 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-13mdk
- fix restarting old applets

* Sat Apr 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-12mdk
- applet:
  o do not flash the main window when opening the contextual menu of
    the icon
  o uniconize the main window when clicking again on the systray icon

* Fri Apr 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-11mdk
- applet:
  o "about..." now popups an about dialog
  o raise the window when it's already displayed and the user clicks
    again on the systray icon (#21906)
  o restart it on update

* Thu Apr 06 2006 Warly <warly@mandrakesoft.com> 2.0-10mdk
- Correctly keep the POST line from the bundle file (for auto-select preset)

* Wed Apr 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-9mdk
- mdkapplet: fix crash when run as non root

* Wed Apr 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-8mdk
- mkdupdate: fix auto registering host when installing a bundle

* Tue Apr 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-7mdk
- applet: fix displaying hostname
- mdkupdate: autoregister the host instead of running the mdkonline
  wizard when installing a bundle

* Tue Apr 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-6mdk
- mdkonline: add a usage message
- mdkupdate: make legacy updates work
- applet:
  o set busy cursor while running mdkupdate
  o wrap status message

* Fri Mar 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-5mdk
- show the "Mandriva Online" entry earlier in the "server/" root menu
  branch)
- applet:
  o more understandable message and set busy cursor while querying the
    server
  o wrap text
- fix running wizard on mdv2006
- fix crash while registering the host

* Thu Mar 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-4mdk
- log what's done in /var/log/explanations
- mdkapplet:
  o switch to new SOAP interface
  o use new server to check for updates
- mdkonline:
  o center subdialogs on main window
  o display error messages in various places
  o fix account creation wizard
  o fix running wizards on cooker
  o fix some GUI oddities
- mdkupdate:
  o display error messages in various places
  o display the "preparing" popup earlier so that the user had some
    feedback once he has clicked on al bundle on the web page
  o use new server API for getting updates

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-3mdk
- log what is done
- add MIME support for KDE3 (it does not support the XDG mime trees
  and still relies on its own mime placement) (helio)

* Thu Mar 09 2006 Warly <warly@mandrakesoft.com> 2.0-2mdk
- Change Soap format (Thierry Vignaud)

* Thu Mar 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-1mdk
- mimetype association between bundle and mdkupdate (fcrozat)
- Mandriva Online V3 (daouda & me)
- extra package installation and update capabilities (daouda, me)
- clean up (daouda, me)
- wizards works on both cooker and MDV2006
- misc bug fixes

* Fri Dec 09 2005 Daouda LO <daouda@mandriva.com> 1.4-0.1mdk
- display updates to install even if server is out of sync
- fully SOAP enabled

* Wed Nov 16 2005 Daouda LO <daouda@mandriva.com> 1.3-7mdk
- update TODO
- Change fuzzy menu title

* Sat Oct 22 2005 Daouda LO <daouda@mandriva.com> 1.3-6mdk
- add trailing '/' for online help

* Wed Oct 19 2005 Daouda LO <daouda@mandriva.com> 1.3-5mdk
- extend the regex to match machine with underscore in name

* Tue Oct 18 2005 Daouda LO <daouda@mandriva.com> 1.3-4mdk
- use strict pragma
- call mdkonline::get_release method before computing updates

* Sat Oct 15 2005 Daouda LO <daouda@mandriva.com> 1.3-3mdk
- launch MandrivaUpdate instead of MandrakeUpdate for distro 
  newer than LE2005 (name change policy) #19211

* Thu Oct 06 2005 Daouda LO <daouda@mandriva.com> 1.3-2mdk
- Major update for new SOAP based architecture (only account creation and 
  authentication 
- po updates

* Wed Sep 21 2005 Daouda LO <daouda@mandriva.com> 1.3-1mdk
- fix missing option when calling terminal based mdkonline
- translations update

* Sat Sep 17 2005 Daouda LO <daouda@mandriva.com> 1.3-0.3mdk
- fix bug on auto-upgrading mdkapplet
- limit machine name to alphanum chars and length <= 40

* Fri Sep 16 2005 Daouda LO <daouda@mandriva.com> 1.3-0.2mdk
- use SOAP for client <-> server communication 
  (account creation and authentication through my.mandriva.com)
- http proxy support for SOAP
- merge code amongst releases (10.0, 10.1, LE2005, 2006)

* Tue Aug 23 2005 Daouda LO <daouda@mandriva.com> 1.3-0.1mdk
- 1.3 pre-build for 2006

* Fri Aug 12 2005 Daouda LO <daouda@mandriva.com> 1.2-1mdk
- switch to Mandriva
- po updates

* Thu Apr 07 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-0.1mdk
- better error handling and log messages when server is down or broken
- po updates

* Thu Mar 24 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-32mdk
- best browwser is now handled by /usr/bin/www-browser (#14847)

* Wed Mar 16 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-31mdk
- change Packager to mandrakeonline team
- misc fixes for mnf 
- s/mdkapplet/mdkupdate/ for is_running check
- get root before testing anything

* Wed Mar 09 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-30mdk
- libDrakX stuffs are always located in /usr/lib/ (gb)

* Wed Mar 09 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-29mdk
- added option --interactive (to use nointeractive in MNF)
- MandrakeUpdate in newt version (only for update_source media)
- fix the x86_64 coupled with corporate capharnaum
- No more dns request to check mandrakeonline server's "reachability"
  (release > 10.0) 
- many cleanups

 o Wed Feb 16 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-28mdk
  - don't update kernel
  - added --mnf option to mdkupdate
  - don't check the network if no config file is available

* Wed Jan 19 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-27mdk
- truly support x86_64 (good path to synthesis and RPMS repertory)
- mdkupdate media renamed to update_source (consolidating with MandrakeUpdate)
- fixed last checked date not refreshing

* Wed Dec 29 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-26mdk
- display last check date on applet interface
- fixed permissions of generated conf file (use octal with perl chmod)
- do not go to 'End' step when upload fails, give choice to user 
  to reupload their config 
- added nn.po ( thanks to Karl Ove Hufthammer )

* Fri Dec 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-25mdk
- fix typo when --debug is passed to mdkapplet (warly)

* Thu Dec 09 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-24mdk
- don't append protocol when url name is fully qualified (for corporate)
- fixed empty message when update are done
- cosmetics fixes (window sizes, more wait messages)

* Mon Nov 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1-22mdk
- use /corporate/ instead of /Corporate/ in update path.

* Thu Nov 25 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-21mdk
- add online host on GUI (submitted by rwira)
- remerge mdkonline to one package 
- superseded gtk based wizard by interactive one
- MNF support (config upload and misc)
- horodate log strings
- added a debug option to mdkapplet (--debug option)
- check updates fixes

* Wed Oct 27 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-19mdk
-

* Fri Oct 22 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-19mdk
- branch cvs to MDK10_0_update and MDK10_1 for concurrent devel
- release for 10.0 and corpo
- remove strict requires on drakxtools_newt
- revert urpmi new media handling repositories

* Tue Oct 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1-18mdk
- put the right dependencies on the backend sub-package
- make parsing of output from server more error safe
- create working directory in mdkonline_tui
- po updates

* Wed Oct 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-17mdk
- update mdkupdate with new 10.1 mirror structure

* Tue Oct 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-16mdk
- rebuild

* Tue Oct 05 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-15mdk
- po updates
- exit code instead of die on mdkupdate

* Sat Oct 02 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-14mdk
- libDrakX is always in %%{_prefix}/lib (gwenole)
- write local and wide configs when Text wizard is used
- use old fashion filehandle

* Fri Oct 01 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-13mdk
- backward compatibilities for mandrakelinux release files
- use correct mdkonline version/release to track down useragent connections
- po updates and perl_checker cleanups
- mdkapplet: decrease timeout for network config check (oblin), we use 10s 
  to refresh now.
- move some functions to mdkonline.pm

* Thu Sep 30 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-12mdk
- introduced mdkonline text based wizard for server products
- po updates
- strict requirement on mdkonline-backend
- new applet status when distrib is not supported (too old or cooker)

* Tue Sep 21 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-10mdk
- upload config into hardware database (hw_client)
- sync config with server every night when mdkupdate is run with option --auto.
- increase update check timeout (every 3h)

* Wed Sep 15 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-9mdk
- po updates

* Sat Sep 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-8mdk
- fixed typos in sprintf_fixutf8 and output functions

* Fri Sep 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-7mdk
- i18n is back (#11064)
- launch one instance of mdkapplet per desktop.
- resynced po
- remove strings incoherencies
- don't display the same desktop icon for mdkapplet and net_applet
- print errors in popup action area

* Thu Aug 05 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-6mdk
- automatically launch mdkapplet for KDE, GNOME and IceWM (via xinit)

* Sun Jul 18 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-5mdk
- fix conflicts (fcrozat)

* Sat Jul 17 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-4mdk
- added mdkonline backend package for derivative products 
  (MNF, Corporate ...)
- more code shared between apps (wizard, cron update and applet)

* Wed Jun 09 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-3mdk
o Tue Jun  8 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-2.1.100mdk
   - added misc architectures (ia64, amd64, x86_64, noarch, ppc64)
   - use md5 file check to reload automagically mdkapplet when mdkonline 
     package has changed (install, upgrade or file replacement).

 o Mon May 31 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-1.100mdk
   - Released as mandatory update and tagged as security fix 
     (force applet to update itself).

* Wed May 26 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-8mdk
- fix broken regexp in error handling code (flepied)

* Tue May 18 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-7mdk
- avoid displaying the applet twice on the panel (using fuzzy_pidofs)
- handle network proxy/routing misconfiguration.

* Wed May 12 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-6mdk
- use mouse clock cursor when busy with applet busy icon.
- decrease debug messages

* Tue May 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-5mdk
- more meaningful icons set for applet state (big up 2 ln)

* Fri May 07 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-4mdk
- Wed May  5 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0-4mdk
  o mdkonline:
		* list all countries (tv)
		* fix truncated text (tv)
		* remove shell stuff (tv)
		* force to use the crontab entry

* Thu Apr 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0-3mdk
- fix wrong path in cron entry (#9547)
- po updates
- don't show the window asking for network connection

* Wed Apr 14 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- move mdkonline process and conf files  to /root/.MdkOnline directory (#8621)
- add migration code to ensure compatibility with old versions
- one more fix for rpmvercmp (remove extra shift to avoid comparing numbers and strings)
- better logs
- better timeout for first configuration
- after upgrade, update applet status immediately (do not wait next timeout occurance)

* Wed Mar 24 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- update status when performing 'check updates'
- better perl rpmvercmp for version and release comparisons
- Report status dynamically
- launch applet main window only once
- autograb hostname and prefill wizard fields
- handle error codes from Mandrakeonline server 
- die properly when AUTOSTART is set TO FALSE
- mdkupdate --applet call
- mdkapplet --force to set AUTOSTART to TRUE
- write conf in both auto and applet mode
- po updates (load mdkonline domain for po in mdkappplet)
- bited by chmod novice mode

